/search

Get the complete search results. It includes both items matching the query and a list of facet that the user can use as filters to narrow down the search query.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Search Response description

// Search response structure
{	
	/** Autocomplete request meta data */
	meta: {
		/** Limit - this is the limitation of the product returned */
		limit: 24,
    /** Offset - number of page in product feed */
    offset: 0,
		/** Query taht was used to perform request */
		q: 'sample',
    /** Total - total found items */
    total: 1000,
    /** Filters - applied filters */
    filters: [
      {
        name: "price",
        type: "range",
        values: [
          {
            "from": 10,
            "to": 15
          }
        ],
        action: "include"
      }
    ],
    /** Sort - applied sort */
    sort: [
      {
      	field: 'price',
        order: 'desc
      }
    ]
		/** Rerquest ID - first part: prefix that points to the source of the request (a/s/sc/r/c) */
		/** In case of autocomplete request prefix - is "a" */
		/** Second part is randomly generated string */
		rid: 's-9fcc881c-1420-4e57-bc58-e234829c363c'
	},
  /** Facets - list of facets(aggregate filter values) */
  facets: [
  	{
      "name": "category",
      "type": "category",
      "values": [
        {
          "name": "category1",
          "value": "Sleeve",
          "count": 234,
          "selected": false,
          "has_children": false
        },
        {
          "name": "category1",
          "value": "Wide Headband",
          "count": 182,
          "selected": false,
          "has_children": false
        },
     ]
   }
  ],
  redirect: {
    /** name of the redirect */
    name: "NAME",
    /** url of the redirect */
    url: "URL"
  },
  /** Banner - banner that should be displayed */
  banner: {
    products: {
      /** Image - banner image */
      imageUrl: "some-image_url.jpg",
      /** Name - banner name */
      name: "some name",
      /** targetUrl - ur which the banner leads  */
      targetUrl: "some-target_url.com"
    }
  }
	/** Array of returned product matches */
	items: [
		/** Object that represents default autocomplete product match */
		/** Important note: there might be additional fields in response, it depends on autocomplet returnable fields configuration */
		{
			/** Boolean flag that indicates whether the product is available or not */
			availability: true,
			/** Product ID */
			id: '4123451324123',
			/** Product URL */
			product_url: 'https://store-name.com/path_to_product',
			/** Price with which the discount price is compared */
			/** In case when product doesn't have sale price this fields will be -1 */
			compare_at: 100,
			/** Array of availble product prices */
			price: [90],
			/** If product has a sale price this field contains array of numbers */
			/** that represents discount value in percentage for each discounted price */
			discount: [10],
			/** Url for product image */
			image_url: 'https://cdn_name.com/path_the_thumbnail_image',
			/** Object with boolean flags which indicates which stickers to show  */
			stickers: {
				discount: true,
				availability: true,
				in-stock: true,
				out-of-stock: false
			}
		}
	]
}
Body Params
date-time
required
user
object
required
string

Search query

sort
array of objects
sort
filters
array of objects

Filters

filters
int32
Defaults to 0
int32
Defaults to 24

max = 120

string
boolean
rules
array of objects
rules
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json